Provided by: apt_1.9.4_amd64 bug

NOME

       apt - interfaccia a riga di comando

SINOSSI

       apt [-h] [-o=stringa_config] [-c=file_config] [-t=rilascio_obiettivo] [-a=architettura]
           {list | search | show | update |
           install pacch [{=numero_versione_pacch | /rilascio_obiettivo}]...  | remove pacch...
           | upgrade | full-upgrade | edit-sources | {-v | --version} | {-h | --help}}

DESCRIZIONE

       apt fornisce un'interfaccia a riga di comando di alto livello per il sistema di gestione
       dei pacchetti. È pensata come interfaccia per l'utente finale e permette in modo
       predefinito alcune opzioni più adatte per l'uso interattivo rispetto a strumenti APT più
       specializzati come apt-get(8) e apt-cache(8).

       Proprio come apt stesso, la sua pagina di manuale è pensata come interfaccia per l'utente
       finale e, pertanto, menziona solamente i comandi e le opzioni più utilizzati, in parte per
       non duplicare le informazioni in più posti e in parte per evitare di travolgere i lettori
       con una valanga di opzioni e dettagli.

       update (apt-get(8))
           update viene usato per scaricare le informazioni sui pacchetti da tutte le fonti
           configurate. Altri comandi operano su questi dati, ad esempio per effettuare gli
           aggiornamenti dei pacchetti o per cercare e visualizzare i dettagli su tutti i
           pacchetti disponibili per l'installazione.

       upgrade (apt-get(8))
           upgrade viene usato per installare gli aggiornamenti disponibili per tutti i pacchetti
           attualmente installati nel sistema prendendoli dalle fonti configurate attraverso
           sources.list(5). Nuovi pacchetti verranno installati se necessari per soddisfare le
           dipendenze, ma quelli esistenti non saranno mai rimossi. Se l'aggiornamento di un
           pacchetto richiede la rimozione di un pacchetto installato, l'aggiornamento di tale
           pacchetto non viene effettuato.

       full-upgrade (apt-get(8))
           full-upgrade effettua la funzione di aggiornamento ma rimuove i pacchetti attualmente
           installati se ciò è necessario per aggiornare il sistema nel suo complesso.

       install, reinstall, remove, purge (apt-get(8))
           Effettua l'azione richiesta su uno o più pacchetti specificati attraverso regex(7),
           glob(7) o una corrispondenza esatta. L'azione richiesta può essere modificata per
           pacchetti specifici aggiungendo un segno più (+) al nome di un pacchetto per
           installarlo o un segno meno (-) per rimuoverlo.

           È possibile selezionare una versione specifica di un pacchetto per l'installazione
           scrivendo dopo il nome del pacchetto un segno di uguale (=) e la versione del
           pacchetto da selezionare. In alternativa può essere selezionata la versione da un
           rilascio specifico scrivendo dopo il nome del pacchetto una sbarra («/») e il nome in
           codice (buster, bullseye, sid ...) o il nome della suite (stable, testing, unstable).
           Se necessarie per soddisfare la richiesta, anche le dipendenze del pacchetto in
           oggetto saranno selezionate da questo rilascio.

           La rimozione di un pacchetto rimuove tutti i dati pacchettizzati, ma solitamente
           lascia piccoli file di configurazione utente (modificati), nel caso la rimozione sia
           avvenuta per errore. In questo caso basta una richiesta di installazione del pacchetto
           rimosso per sbaglio per ripristinare il suo funzionamento come era prima. D'altro
           canto ci si può sbarazzare di questi avanzi di file chiamando purge anche sui
           pacchetti già rimossi. Notare che ciò non ha effetto sui dati o le configurazioni
           memorizzate nelle directory personali degli utenti.

       autoremove (apt-get(8))
           autoremove viene usato per rimuovere i pacchetti che sono stati installati
           automaticamente per soddisfare delle dipendenze per altri pacchetti e che non sono più
           necessari perché le dipendenze sono cambiate o perché i pacchetti che li richiedevano
           sono stati nel frattempo rimossi.

           Si dovrebbe controllare che la l'elenco non includa applicazioni che sono nel
           frattempo diventate desiderate, anche se sono state inizialmente installate solo come
           dipendenze di un altro pacchetto. Si possono marcare tali pacchetti come installati
           manualmente usando apt-mark(8). Anche i pacchetti che sono stati esplicitamente
           installati con install non vengono mai proposti per la rimozione automatica.

       satisfy (apt-get(8))
           satisfy satisfies dependency strings, as used in Build-Depends. It also handles
           conflicts, by prefixing an argument with "Conflicts: ".

           Example: apt satisfy "foo, bar (>= 1.0)" "Conflicts: baz, fuzz"

       search (apt-cache(8))
           search può essere usato per cercare daterminati termini regex(7) nell'elenco dei
           pacchetti disponibili e per visualizzare le corrispondenze. Ciò è ad esempio utile se
           si stanno cercando pacchetti con una specifica funzionalità. Per cercare un pacchetto
           che contiene un file specifico provare apt-file(1).

       show (apt-cache(8))
           Mostra informazioni sui pacchetti specificati, incluse le loro dipendenze, le
           dimensioni di installazione e scaricamento, le fonti da cui sono disponibili, le
           descrizioni del contenuto dei pacchetti e molto altro. Può ad esempio essere utile per
           vedere tutte queste informazioni prima di permettere ad apt(8) di rimuovere un
           pacchetto o quando si cercano nuovi pacchetti da installare.

       list (lavoro-in-corso)
           list è in qualche modo simile a dpkg-query --list, nel senso che può visualizzare un
           elenco di pacchetti che soddisfano determinati criteri. Supporta l'uso di modelli
           glob(7) per le corrispondenze con i nomi dei pacchetti, così come opzioni per elencare
           le versioni installate (--installed), aggiornabili (--upgradeable) o disponibili
           (--all-versions).

       edit-sources (lavoro-in-corso)
           edit-sources permette di modificare i propri file sources.list(5) nell'editor di testo
           preferito e fornisce controlli di sanità di base.

USO DI SCRIPT E DIFFERENZE RISPETTO AD ALTRI STRUMENTI APT

       La riga di comando di apt(8) è progettata come strumento per l'utente finale e il suo
       comportamento può cambiare da una versione ad un'altra. Sebbene si cerchi di non rompere
       la compatibilità all'indietro, questa però non è garantita se una modifica sembra utile
       per l'uso interattivo.

       Tutte le funzionalità di apt(8) sono anche disponibili in strumenti APT dedicati come apt-
       get(8) e apt-cache(8).  apt(8) cambia solamente il valore predefinito di alcune opzioni
       (vedere apt.conf(5) e in particolare la sezione Binary). Perciò si raccomanda di preferire
       l'uso di questi comandi (potenzialmente con abilitate alcune opzioni aggiuntive) negli
       script, dato che essi mantengono il più possibile la compatibilità all'indietro.

VEDERE ANCHE

       apt-get(8), apt-cache(8), sources.list(5), apt.conf(5), apt-config(8), la Guida
       dell'utente di APT in /usr/share/doc/apt-doc/, apt_preferences(5), l'APT Howto.

DIAGNOSTICA

       apt restituisce zero in caso di funzionamento normale e il valore decimale 100 in caso di
       errore.

BUG

       Pagina dei bug di APT[1]. Se si desidera segnalare un bug in APT, vedere
       /usr/share/doc/debian/bug-reporting.txt o il comando reportbug(1).

TRADUZIONE

       Traduzione in italiano a cura del Team italiano di localizzazione di Debian
       <debian-l10n-italian@lists.debian.org>. In particolare hanno contribuito Eugenia Franzoni
       (2000), Hugh Hartmann (2000-2012), Gabriele Stilli (2012), Beatrice Torracca (2012, 2014,
       2015).

       Notare che questa versione tradotta del documento può contenere parti non tradotte. Ciò è
       voluto, per evitare di perdere contenuti quando la traduzione non è aggiornata rispetto
       all'originale.

AUTORE

       Team APT

NOTE

        1. Pagina dei bug di APT
           http://bugs.debian.org/src:apt